Opened 23 months ago

#5502 new change

Show a warning if the version of linked V8 is different from the expected one.

Reported by: sergz Assignee:
Priority: P4 Milestone:
Module: Libadblockplus Keywords:
Cc: Blocked By:
Blocking: Platform: Unknown / Cross platform
Ready: no Confidential: no
Tester: Unknown Verified working: no
Review URL(s):

Description

Background

  • after #5433 there is a higher probability to mess the version of V8, so it would be helpful to earlier identify a possibly tricky issues
  • we will likely have to add a support of dynamic linking with V8 (some libv8.so, or libswev8.so) and since V8 is very sensitive to a concrete version the validation of the current version of V8 can be very essential.

What to change

Put a warning in the log if a version of currently used V8 is different from the expected one.

Change History (0)

Note: See TracTickets for help on using tickets.